#include <bits/stdc++.h>
using namespace std;

int n;
pair<double, int> a[200005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.precision(6);
    cout << fixed;

    cin >> n;

    for(int i = 0; i < n; ++i){
        cin >> a[i].second >> a[i].first;
    }

    sort(a, a + n);

    double last = 100;
    int sum = 0;
    double resCur = 0;
    double res = 0;
    for(int i = n - 1; i >= 0; --i){
        resCur -= sum * (last - a[i].first) / 100;
        resCur += a[i].first * a[i].second / 100;

        last = a[i].first;
        sum += a[i].second;

        res = max(res, resCur);
    }

    cout << res << "\n";

    return 0;
}